<?php
$set['script']     = $_SERVER['PHP_SELF'];
$set['Title']      = "cineteca collega Attori e Film";
$set['log']        = false;
$set['mySql']      = true;
$set['slash']      = "\\";

if($set['log']) error_log("script     : ***** ".$set['script'], 0);
if($set['log']) error_log("bottone    : ".(empty($_POST['submit']) ? '' : $_POST['submit']), 0);

require_once 'cineteca.include';

/* ---------------------------------------------------------------- */

$message = "";

if ( empty($_POST) or $_POST['submit'] == "rinuncia" )
{
    inizializzaVariabili();
    displayActorSearch();
}
else
{
    leggiPost();

    validaForm();

    if  ( empty($message) )
    {
        switch ($set['azione'])
        {
            case "ActorSearch":
                aggiornaDB();
                displayActorList();
                break;

            case "ActorList":
                displayFilmSearch();
                break;

            case "FilmSearch":
                aggiornaDB();
                displayFilmList();
                break;

            case "FilmList":
                $x = aggiornaDB();
                displayConnect($x);
                break;

            case "Connetti":
            case "Elimina":
                aggiornaDB();
                displayFilmSearch();
                break;
        }
    }
    else
    {
        switch ($set['azione'])
        {
            case "ActorSearch":
                displayActorSearch();
                break;

            case "ActorList":
                displayActorSearch();
                break;

            case "FilmSearch":
                displayFilmSearch();
                break;

            case "FilmList":
                displayFilmSearch();
                break;

            case "Connetti":
            case "Elimina":
                displayFilmSearch();
                break;
        }
    }
}
die;

/* ---------------------------------------------------------------- */

function inizializzaVariabili()
{
    global $conn, $set, $actor, $film;

    if($set['log']) error_log("inizializzaVariabili", 0);

    $set['azione']          = "";

    $actor['actor_id']      = "";
    $actor['nome']          = "";
    /*
	$actor['cognome']       = "";
*/
    $actor['performer_aka'] = "";
    $actor['foto']          = "";
    $actor['foto_info']     = "";
    $actor['website']       = "";
    $actor['career_status'] = "";
    $actor['birthday']      = "";
    $actor['died']          = "";
    $actor['eye_color']     = "";
    $actor['height']        = "";
    $actor['biografia']     = "";

    $film['film_id']        = "";
    $film['movie_title']    = "";
    $film['also_known']     = "";
    $film['year']           = "";
    $film['minutes']        = "";
    $film['distributor']    = "";
    $film['studio']         = "";
    $film['release_data']   = "";
    $film['incollection']   = "0";
    $film['synopsis']       = "";
}

/* ---------------------------------------------------------------- */

function leggiPost()
{
    global $conn, $set, $actor, $film;

    $set['azione'] = trim(htmlspecialchars($_POST['myForm']));

    if($set['log']) error_log("leggiPost  : ".$set['azione'], 0);

    switch ($set['azione'])
    {
        case "ActorSearch":
            $actor['actor_id']    = trim(htmlspecialchars($_POST['actor_id']));
            $actor['nome']        = trim(htmlspecialchars($_POST['nome']));
            /*
	$actor['cognome']     = trim(htmlspecialchars($_POST['cognome']));
*/
            $actor['foto']        = trim(htmlspecialchars($_POST['foto']));
            $actor['birthday']    = trim(htmlspecialchars($_POST['birthday']));
            break;

        case "ActorList":
            $actor['actor_id']    = trim(htmlspecialchars($_POST['rowid']));
            break;

        case "FilmSearch":
            $actor['actor_id']    = trim(htmlspecialchars($_POST['actor_id']));

            $film['film_id']      = trim(htmlspecialchars($_POST['film_id']));
            $film['movie_title']  = trim(htmlspecialchars($_POST['movie_title']));
            $film['year']         = trim(htmlspecialchars($_POST['year']));
            $film['distributor']  = trim(htmlspecialchars($_POST['distributor']));
            $film['release_data'] = trim(htmlspecialchars($_POST['release_data']));
            break;

        case "FilmList":
            $actor['actor_id']    = trim(htmlspecialchars($_POST['actor_id']));
            $film['film_id']      = trim(htmlspecialchars($_POST['rowid']));
            break;

        case "Connetti":
        case "Elimina":
            $actor['actor_id']    = trim(htmlspecialchars($_POST['actor_id']));
            $film['film_id']      = trim(htmlspecialchars($_POST['film_id']));
            break;

        default:
            inizializzaVariabili();
            $message = "ERRORE : leggiPost, non riconosco l&acute; azione da compiere";
            return;
            break;
    }
    if($set['log']) error_log("actor_id   : ".$actor['actor_id'], 0);
    if($set['log']) error_log("film_id    : ".$film['film_id'], 0);
}

/* ---------------------------------------------------------------- */

function validaForm()
{
    global $conn, $set, $actor, $film, $message;

    if($set['log']) error_log("validaForm : ".$set['azione'], 0);

    if( !in_array( $set['azione'], 
                   array("ActorSearch", "ActorList", "FilmSearch", "FilmList", "Connetti", "Elimina") ) ) 
    {
        $message = "ERRORE : validaForm, non riconosco l&acute; azione da compiere";
        return;
    }
    else
    {
        if( $set['azione'] == "ActorList" and empty($actor['actor_id']) )
        {
            $message = "ERRORE : ActorList, non hai indicato l&acute; attore";
            return;
        }

        if( $set['azione'] == "FilmList" and empty($film['film_id']) )
        {
            $message = "ERRORE : FilmList, non hai indicato il film";
            return;
        }

//      QUI DEVE ESSERE CONTROLLATA LA PRESENZA E CONGRUITA' DEI DATI INSERITI
    }
}

/* ---------------------------------------------------------------- */

function aggiornaDB()
{
    global $conn, $set, $actor, $film, $message, $dati;

    if($set['log']) error_log("aggiornaDB : ".$set['azione'], 0);

    $saveA = $actor;
    $actor = FixSQL($actor);
    $saveF = $film;
    $film  = FixSQL($film);

    switch ($set['azione'])
    {
        case "ActorSearch":
            $sql = "SELECT actor_id, nome, foto, birthday FROM actor WHERE 1=1";
            if ($actor['actor_id']) { $sql.= " AND actor_id="        . $actor['actor_id']; }
            if ($actor['nome'])     { $sql.= " AND nome LIKE '%"     . $actor['nome']."%'"; }
/*
            if ($actor['cognome'])  { $sql.= " AND cognome LIKE '%"  . $actor['cognome']."%'"; }
*/
            if ($actor['birthday']) { $sql.= " AND birthday LIKE '%" . $actor['birthday']."%'"; }
            $sql.= " ORDER BY nome, birthday";

            $result = DBquery($sql);
            if($set['mySql']) { $dati = array(); while ($r = $result->fetch_assoc()) { $dati[] = $r; } $result->free(); }
            else              { $dati = $conn->queryS($sql); }

            break;

        case "FilmSearch":
            $sql = "CASE WHEN ( "
                 . "SELECT count(*) as counter FROM film_actor WHERE film_actor.film_id=film.film_id AND actor_id=" . $actor['actor_id']
                 . " ) > 0 THEN 'c' ELSE ' ' END AS collegato,";

            $sql = "SELECT ".$sql." film_id, movie_title, year, distributor, release_data FROM film WHERE 1=1";
            if ($film['film_id'])      { $sql.= " AND film_id="             . $film['film_id']; }
            if ($film['movie_title'])  { $sql.= " AND movie_title LIKE '%"  . $film['movie_title']."%'"; }
            if ($film['year'])         { $sql.= " AND year LIKE '%"         . $film['year']."%'"; }
            if ($film['distributor'])  { $sql.= " AND distributor LIKE '%"  . $film['distributor']."%'"; }
            if ($film['release_data']) { $sql.= " AND release_data LIKE '%" . $film['release_data']."%'"; }
            $sql.= " ORDER BY collegato, movie_title, distributor, year";

            $result = DBquery($sql);
            if($set['mySql']) { $dati = array(); while ($r = $result->fetch_assoc()) { $dati[] = $r; } $result->free(); }
            else              { $dati = $conn->queryS($sql); }

            break;

        case "FilmList":
            getActor();
            getFilm();

            $sql = "SELECT count(*) as counter FROM film_actor"
                 . " WHERE actor_id=" . $actor['actor_id']
                 . "   AND film_id="  . $film['film_id'];

            $result = DBquery($sql);
            if($set['mySql']) { $dati = $result->fetch_assoc();  $result->free(); }
            else              { $dati = $result->fetch(); }

            if ( $dati['counter'] ) return "Elimina";
            return "Connetti";

            break;

        case "Connetti":
            $sql = "INSERT INTO film_actor(actor_id, film_id) VALUES ("
                 . "  '" . $actor['actor_id'] . "'"
                 . ", '" . $film['film_id']   . "'"
                 . "  )";

            $dati = DBquery($sql);

            getActor();
            getFilm();

            $message = "Congratulazioni, il film ".$film['movie_title']." &eacute; associato all&acute;attore ".$actor['cognome']." nel database.";
            // inizializzaVariabili();
            break;

        case "Elimina":
            $sql = "DELETE FROM film_actor"
                 . " WHERE actor_id=" . $actor['actor_id']
                 . "   AND film_id="  . $film['film_id'];

            $dati = DBquery($sql);

            getActor();
            getFilm();

            $message = "Congratulazioni, il film ".$film['movie_title']." non &eacute; pi&ugrave; associato all&acute;attore ".$actor['cognome']." nel database.";
            // inizializzaVariabili();
            break;

        default:
            $message = "ERRORE : aggiornaDB, non riconosco l&acute; azione da compiere";
            return;
            break;
    }
    $actor = $saveA;
    $film  = $saveF;
}

function getActor()
{
    global $conn, $set, $actor, $message;

    $sql = "SELECT actor_id, nome, performer_aka, foto, foto_info, website, career_status, birthday, died, eye_color, height, biografia"
         . " FROM actor WHERE actor_id='" . $actor['actor_id'] . "'";

    $result = DBquery($sql);
    if($set['mySql']) { $actor = $result->fetch_assoc();  $result->free(); }
    else              { $actor = $result->fetch(); }
}

function getFilm()
{
    global $conn, $set, $film, $message;

    $sql = "SELECT film_id, movie_title, year, distributor, release_data FROM film WHERE "
         . "film_id=" . $film['film_id'];

    $result = DBquery($sql);
    if($set['mySql']) { $film = $result->fetch_assoc();  $result->free(); }
    else              { $film = $result->fetch(); }
}

function DBquery($sql)
{
    global $conn, $set, $message;

    if($set['log']) error_log("sql        : ".$sql, 0);

    $result = $conn->query($sql);
    if ( !$result ) { $message = "ERRORE : aggiornaDB, errore nella query, " . $conn->error; return; }
    return $result;
}

function FixSQL( $params=array() )
{
    global $set;

    foreach ($params as $key => $value)
    {
        if ( strpos($value, "'") !== false )
        {
            $params[$key] = str_replace("'", $set['slash']."'", $value);
        }
    }
    return $params;
}

/* ---------------------------------------------------------------- */

function getImg($row=array())
{
    $img = "image_upload/actor/uploads/" 
         . ( empty($row['foto']) ? "nophoto170.png" : $row['nome'] . " (" . $row['actor_id'] . ")/" . $row['foto'] );

    // file_exists($img);

    $img = "<img src='" . $img . "' width='110px' height='130px' style='border:1px solid #333333;'>";
    return $img;
}

/* ---------------------------------------------------------------- */

function displayActorSearch()
{
    global $conn, $set, $actor, $film, $message;

    if($set['log']) error_log("displayActorSearch : ".$set['azione'], 0);
    if($set['log']) error_log("errore             : ".$message, 0);
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>

    <title><?= $set['Title']; ?></title>
  </head>
  <body onload='document.ActorSearch.nome.focus()'>

<div class='form-group'>

  <center><h1><span class='infoblock-pagetype'>cineteca scelta Attori</span></h1></center>

  <form name='ActorSearch' method='POST' action='<?= $set['script']; ?>'>

    <input type='hidden' name='myForm' id='myForm' value='ActorSearch' /> <!-- ****************************** -->

    <table id='biographyTable' border='0' cellspacing='0' cellpadding='0' width='100%'>
      <tbody>
        <tr>
          <td class='paramname'>
            <b>actor ID:</b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='actor_id' id='actor_id' size='15' value="<?= $actor['actor_id']; ?>" />
          </td>
        </tr>
        <tr>
          <td class='paramname'>
            <b>Nome:</b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='nome' id='nome' size='100' value="<?= $actor['nome']; ?>" />
          </td>
        </tr>
        <!-- TESTO DEL COMMENTO<tr>
          <td class='paramname'>
            <b>Cognome: </b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='cognome' id='cognome' size='100' value="<?= $actor['cognome']; ?>" />
          </td>
        </tr> -->
        <tr>
          <td class='paramname'>
            <b>Data di nascita: </b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='birthday' id='birthday' size='15' value="<?= $actor['birthday']; ?>" />
          </td>
        </tr>
        <tr>
          <td class='paramname'>
            <b>Foto:</b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='foto' id='foto' size='100' value="<?= $actor['foto']; ?>" />
          </td>
        </tr>
        <tr>
          <td class='paramvalue-footer center' colspan='2'>
            <br />

            <input type='submit' name='submit' value='cerca' />
            <span style='padding-left: 30px;'></span>
            <input type='submit' name='submit' value='rinuncia' />

            <br />
            <br />
          </td>
        </tr>
      </tbody>
    </table>
  </form>
  <div class='col-sm-10 col-sm-offset-2'><h2><?= $message; ?></h2></div>
</div>
</body>
</html>
<?php
}

/* ---------------------------------------------------------------- */

function displayActorList()
{
    global $conn, $set, $actor, $film, $message, $dati;

    if($set['log']) error_log("displayActorList   : ".$set['azione'], 0);
    if($set['log']) error_log("errore             : ".$message, 0);
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>

    <title><?= $set['Title']; ?></title>
  </head>
  <body>

<div class='form-group'>

  <center><h1><span class='infoblock-pagetype'>cineteca scelta Attori</span></h1></center>

  <form name='ActorList' method='POST' action='<?= $set['script']; ?>'>

    <input type='hidden' name='myForm' id='myForm' value='ActorList' /> <!-- ****************************** -->

    <table id='biographyTable' border='0' cellspacing='0' cellpadding='0' width='100%'>
      <thead>
        <tr>
          <td class='paramname'><b>Seleziona</b></td>
          <td class='paramname'><b>actor ID</b></td>
          <td class='paramname'><b>Nome</b></td>
          <!-- TESTO DEL COMMENTO<td class='paramname'><b>Cognome</b></td> -->
          <td class='paramname'><b>Data di nascita</b></td>
          <td class='paramname'><b>Foto</b></td>
        </tr>
      </thead>
      <tbody>
<?php for($x=0; $x<count($dati); $x++) { ?>
        <tr>
          <td class='paramvalue'><input type='radio' name='rowid' value="<?= $dati[$x]['actor_id']; ?>"></td>
          <td class='paramvalue'><?= $dati[$x]['actor_id']; ?></td>
          <td class='paramvalue'><?= $dati[$x]['nome']; ?></td>
          <!-- TESTO DEL COMMENTO<td class='paramvalue'><?= $dati[$x]['cognome']; ?></td> -->
          <td class='paramvalue'><?= $dati[$x]['birthday']; ?></td>
          <td class='paramvalue'><?php echo getImg($dati[$x]); ?></td>
        </tr>
<?php } ?>
        <tr>
          <td class='paramvalue-footer center' colspan='2'>
            <br />

            <input type='submit' name='submit' value='conferma' />
            <span style='padding-left: 30px;'></span>
            <input type='submit' name='submit' value='rinuncia' />

            <br />
            <br />
          </td>
        </tr>
      </tbody>
    </table>
  </form>
  <div class='col-sm-10 col-sm-offset-2'><h2><?= $message; ?></h2></div>
</div>
</body>
</html>
<?php
}

/* ---------------------------------------------------------------- */

function displayFilmSearch()
{
    global $conn, $set, $actor, $film, $message;

    if($set['log']) error_log("displayFilmSearch  : ".$set['azione'], 0);
    if($set['log']) error_log("errore             : ".$message, 0);
    if($set['log']) error_log("actor_id           : ".$actor['actor_id'], 0);
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>

    <title><?= $set['Title']; ?></title>
  </head>
  <body onload='document.FilmSearch.movie_title.focus()'>

<div class='form-group'>

  <center><h1><span class='infoblock-pagetype'>cineteca scelta Film</span></h1></center>

   <center><h4><?php getActor(); echo $actor['nome']."  ".$actor['actor_id']." ".getImg($actor); ?></h4><center>

  <form name='FilmSearch' method='POST' action='<?= $set['script']; ?>'>

    <input type='hidden' name='myForm'   id='myForm'   value='FilmSearch' /> <!-- ****************************** -->

    <input type='hidden' name='actor_id' id='actor_id' value="<?= $actor['actor_id']; ?>" />

    <table id='biographyTable' border='0' cellspacing='0' cellpadding='0' width='100%'>
      <tbody>
        <tr>
          <td class='paramname'>
            <b>film ID:</b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='film_id' id='film_id' size='15' />
          </td>
        </tr>
        <tr>
          <td class='paramname'>
            <b>Title:</b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='movie_title' id='movie_title' size='100' />
          </td>
        </tr>
        <tr>
          <td class='paramname'>
            <b>Year: </b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='year' id='year' size='15' />
          </td>
        </tr>
        <tr>
          <td class='paramname'>
            <b>Distributor: </b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='distributor' id='distributor' size='100' />
          </td>
        </tr>
        <tr>
          <td class='paramname'>
            <b>Release Date: </b>
          </td>
          <td class='paramvalue'>
            <input type='text' name='release_data' id='release_data' size='15' />
          </td>
        </tr>
        <tr>
          <td class='paramvalue-footer center' colspan='2'>
            <br />

            <input type='submit' name='submit' value='cerca' />
            <span style='padding-left: 30px;'></span>
            <input type='submit' name='submit' value='rinuncia' />

            <br />
            <br />
          </td>
        </tr>
      </tbody>
    </table>
  </form>
  <div class='col-sm-10 col-sm-offset-2'><h2><?= $message; ?></h2></div>
</div>
</body>
</html>
<?php
}

/* ---------------------------------------------------------------- */

function displayFilmList()
{
    global $conn, $set, $actor, $film, $message, $dati;

    if($set['log']) error_log("displayFilmList    : ".$set['azione'], 0);
    if($set['log']) error_log("errore             : ".$message, 0);
    if($set['log']) error_log("actor_id           : ".$actor['actor_id'], 0);
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>

    <title><?= $set['Title']; ?></title>
  </head>
  <body>

<div class='form-group'>

  <center><h1><span class='infoblock-pagetype'>cineteca scelta Film</span></h1></center>

  <form name='FilmList' method='POST' action='<?= $set['script']; ?>'>

    <input type='hidden' name='myForm'   id='myForm'   value='FilmList' /> <!-- ****************************** -->

    <input type='hidden' name='actor_id' id='actor_id' value="<?= $actor['actor_id']; ?>" />

    <table id='biographyTable' border='0' cellspacing='0' cellpadding='0' width='100%'>
      <thead>
        <tr>
          <td class='paramname'><b>Seleziona</b></td>
          <td class='paramname'><b>collegato</b></td>
          <td class='paramname'><b>film ID</b></td>
          <td class='paramname'><b>Title</b></td>
          <td class='paramname'><b>Year</b></td>
          <td class='paramname'><b>Distributor</b></td>
          <td class='paramname'><b>Release Date</b></td>
        </tr>
      </thead>
      <tbody>
<?php for($x=0; $x<count($dati); $x++) { ?>
        <tr>
          <td class='paramvalue'><input type='radio' name='rowid' value="<?= $dati[$x]['film_id']; ?>"></td>
          <td class='paramvalue'><b><?= $dati[$x]['collegato']; ?></b></td>
          <td class='paramvalue'><?= $dati[$x]['film_id']; ?></td>
          <td class='paramvalue'><?= $dati[$x]['movie_title']; ?></td>
          <td class='paramvalue'><?= $dati[$x]['year']; ?></td>
          <td class='paramvalue'><?= $dati[$x]['distributor']; ?></td>
          <td class='paramvalue'><?= $dati[$x]['release_data']; ?></td>
        </tr>
<?php } ?>
        <tr>
          <td class='paramvalue-footer center' colspan='2'>
            <br />

            <input type='submit' name='submit' value='conferma' />
            <span style='padding-left: 30px;'></span>
            <input type='submit' name='submit' value='rinuncia' />

            <br />
            <br />
          </td>
        </tr>
      </tbody>
    </table>
  </form>
  <div class='col-sm-10 col-sm-offset-2'><h2><?= $message; ?></h2></div>
</div>
</body>
</html>
<?php
}

/* ---------------------------------------------------------------- */

function displayConnect($todo)
{
    global $conn, $set, $actor, $film, $message, $dati;

    if($set['log']) error_log("displayConnect     : ".$set['azione'], 0);
    if($set['log']) error_log("displayConnect     : ".$todo, 0);
    if($set['log']) error_log("errore             : ".$message, 0);
    if($set['log']) error_log("actor_id           : ".$actor['actor_id'], 0);
    if($set['log']) error_log("film_id            : ".$film['film_id'], 0);
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>

    <title><?= $set['Title']; ?></title>

    <style>
.paramname
{
    width:100px;
}
.paramvalue
{
    width:300px;
}
    </style>

  </head>
  <body>

<div class='form-group'>

  <center><h1><span class='infoblock-pagetype'>cineteca Connetti</span></h1></center>

  <form name='<?= $todo; ?>' method='POST' action='<?= $set['script']; ?>'>

    <input type='hidden' name='myForm'   id='myForm'   value="<?= $todo; ?>" /> <!-- ****************************** -->
    <input type='hidden' name='actor_id' id='actor_id' value="<?= $actor['actor_id']; ?>" />
    <input type='hidden' name='film_id'  id='film_id'  value="<?= $film['film_id'];   ?>" />

    <h3>ATTORE</h3>
    

    <table id='biographyTable' border='0' cellspacing='0' cellpadding='0' width='100%'>
      <tbody>
        <tr>
          <td> </td>
          <td class='paramvalue'><?php echo getImg($actor); ?></td>
        </tr>


        <tr>
          <td class='paramname'><b>actor ID</b></td>
          <td class='paramvalue'><?= $actor['actor_id']; ?></td>
        </tr>
        <tr>
          <td class='paramname'><b>Nome</b></td>
          <td class='paramvalue'><?= $actor['nome']; ?></td>
        </tr>
        
        <tr>
          <td class='paramname'><b>Data di nascita</b></td>
          <td class='paramvalue'><?= $actor['birthday']; ?></td>
        </tr>
        <tr>
          <td class='paramname'><b>Foto</b></td>
          <td class='paramvalue'><?= $actor['foto']; ?></td>
        </tr>
      </tbody>
    </table>
    <br />
    <br />
    <h3>FILM</h3>
    <table id='biographyTable' border='0' cellspacing='0' cellpadding='0' width='100%'>
      <tbody>
        <tr>
          <td class='paramname'><b>film ID</b></td>
          <td class='paramvalue'><?= $film['film_id']; ?></td>
        </tr>
        <tr>
          <td class='paramname'><b>Title</b></td>
          <td class='paramvalue'><?= $film['movie_title']; ?></td>
        </tr>
        <tr>
          <td class='paramname'><b>Year</b></td>
          <td class='paramvalue'><?= $film['year']; ?></td>
        </tr>
        <tr>
          <td class='paramname'><b>Distributor</b></td>
          <td class='paramvalue'><?= $film['distributor']; ?></td>
        </tr>
        <tr>
          <td class='paramname'><b>Release Date</b></td>
          <td class='paramvalue'><?= $film['release_data']; ?></td>
        </tr>
        <tr>
          <td class='paramvalue-footer center' colspan='2'>
            <br />

            <input type='submit' name='submit' value='<?= $todo; ?>' />
            <span style='padding-left: 30px;'></span>
            <input type='submit' name='submit' value='rinuncia' />

            <br />
            <br />
          </td>
        </tr>
      </tbody>
    </table>
  </form>
  <div class='col-sm-10 col-sm-offset-2'><h2><?= $message; ?></h2></div>
</div>
</body>
</html>
<?php
}
?>
